Skip to content
Back to top
View this page
Edit this page

# slidge.util.lottie

This module implements vector animated stickers in the lottie format to webp images.

## Module Contents

async slidge.util.lottie.from_url(url: str, sticker_id: str, http: aiohttp.ClientSession) → slidge.util.types.LegacyAttachment

  Get a webp attachment from a URL.

  Parameters:

    - url – URL where the lottie sticker can be downloaded.

    - sticker_id – A unique identifier for this sticker.

    - http – The aiohttp.ClientSession used to download the sticker.

  Returns:

    A LegacyAttachment with the sticker in the webp format if config.CONVERT_STICKERS == True, in the original lottie format otherwise.